# Coriolis Core (CRL) Documentation

Classes
CRL Namespace Reference

The namespace of Coriolis Core. More...

## Classes
class | AcmSigda
| A Parser of ACM/Sigda 89' benchmarks. More...
class | AllianceFramework
| A Framework to work with Alliance formats. More...
class | AllianceLibrary
| A small wrapper around Hurricane::Library. More...
class | Banner
| Print Formatted Banners (on ttys). More...
class | Catalog
| A Registry to store Alliance Cell metadatas. More...
class | CatalogExtension
| Wrapper to access a Hurricane::Cell Catalog::State. More...
class | Environment
| Holds all the Alliance environment variables. More...
class | GraphicTool
| Base Class to Hook ToolEngines into the CellViewer. More...
class | RoutingGauge
| Gauge for the detailed routing. More...
class | RoutingLayerGauge
| Gauge of a Layer for the detailed routing. More...
class | SearchPath
| An ordered list of search pathes. More...
class | ToolEngine
| Base Class of all Coriolis Tools. More...

## Typedefs
ToolEngine Collection
typedef GenericCollection< ToolEngine * > | ToolEngines
typedef GenericLocator< ToolEngine * > | ToolEngineLocator
typedef GenericFilter< ToolEngine * > | ToolEngineFilter

## Detailed Description

The namespace of Coriolis Core.

Namespace of Coriolis Core.

## Typedef Documentation

## ◆ ToolEngines

CRL::ToolEngines

Generic collection representing a set of ToolEngines.

To iterate over a Collection of ToolEngines, uses the generaic `forEach` macro:

forEach(ToolEngine*, iengine, ToolEngine::get(cell)) {
cout << iengine->getName() << endl;
// Do someting on the ToolEngine in the iengine iterator.
// ...
}

## ◆ ToolEngineLocator

CRL::ToolEngineLocator

Generic locator for traversing a collection of ToolEngines.

## ◆ ToolEngineFilter

CRL::ToolEngineFilter

Generic filter allowing to select a subset of ToolEngines matching some criteria.

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

Coriolis Core (CRL) | Copyright © 2008-2016 UPMC All rights reserved